from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.accessibility import XAccessibleAction

@runtime_checkable
class XAccessibleHyperlink(XAccessibleAction, Protocol):
    def getStartIndex(self) -> int: ...
    def getEndIndex(self) -> int: ...
    def isValid(self) -> bool: ...
